#include <stdio.h>
#include <string.h>
#include <stdlib.h>

void get_lines();
void rm_newline(char *buf);

char *from;
char *query;
char *subject;
int limit;

int main()
{
	from = (char *)memset((char *)malloc(256), 0x00, 256);
	query = (char *)memset((char *)malloc(512), 0x00, 512);
	subject = (char *)memset((char *)malloc(256), 0x00, 256);
	get_lines();

	free(from);
	free(query);
	free(subject);
}
void get_lines()
{
	char *buf;
	char *stptr=0;
	FILE *fp;

	buf = (char *)memset((char *)malloc(1024), 0x00, 1024);

	fp = fopen("./config", "r");
	while(fgets(buf,1024,fp)!=NULL) 
	{
		if(buf[0]=='#')
		{
			buf = (char *)memset((char *)realloc(buf, 1024), 0x00, 1024);
			continue;
		}
		stptr = strtok(buf, "=");
		while(stptr!=NULL)
		{
			if(strcmp(stptr, "FROM")==0)
			{
				stptr = strtok(NULL, "=");
				memcpy(from, stptr, strlen(stptr));
				rm_newline(from);
				break;
			}
			else if(strcmp(stptr, "QUERY")==0)
			{
				stptr = strtok(NULL, "=");
				memcpy(query, stptr, strlen(stptr));
				rm_newline(query);
				break;
			}
			else if(strcmp(stptr, "SUBJECT")==0)
			{
				stptr = strtok(NULL, "=");
				memcpy(subject, stptr, strlen(stptr));
				rm_newline(subject);
				break;
			}
			else if(strcmp(stptr, "LIMIT")==0)
			{
				stptr = strtok(NULL, "=");
				limit = atoi(stptr);
				break;
			}
		}
		buf = (char *)memset((char *)realloc(buf, 1024), 0x00, 1024);
	}
	printf("%s\n%d\n%s\n%s\n", query, limit, subject, from);
	fclose(fp);
	free(buf);
}

void rm_newline(char *buf)
{
	//char tmp[2];
	char *tmp;

	tmp = (char *)memset((char *)malloc(2), 0x00, 2);
	if((tmp = strchr(buf, '\n'))!=NULL)
		tmp[0] = '\0';
	free(tmp);
}
