#include "config.h"

int config_main()
{
	FILE *fp;
	char *buf;

	buf = (char *)memset((char *)malloc(1024), 0x00, 1024);
	config = (my_cfg *)memset((my_cfg *)malloc(sizeof(my_cfg)), 0x00, sizeof(my_cfg));

	fp = fopen(FILENAME, "r");
	while(fgets(buf, 1024, fp) != NULL){
		select_cfg(buf);
		memset(buf, 0x00, 1024);
	}
	free(buf);
	return 0;
}

void select_cfg(char *buf)
{
	char *stptr=0;

	stptr = strtok(buf, "=");

	if(strcmp(stptr, "HOST")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->host, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "USER")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->user, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "PASS")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->pass, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "DBNAME")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->db, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "QUERY")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->query, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "CNTQUERY")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->cnt_query, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "SUBJECT")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->subject, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "HTMLFILE")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->file, stptr, strlen(stptr));
	}
	else if(strcmp(stptr, "COUNT")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		config->cnt = atoi(stptr);
	}
	else if(strcmp(stptr, "FROM")==0)
	{
		stptr = strtok(NULL, "=");
		stptr[strlen(stptr)-1] = '\0';
		memcpy(config->from, stptr, strlen(stptr));
	}
}
