/******************************************************** 
 * Ʈ : 2003.2.24                                 *
 * ȣ : 0.3                                       *
 *  :                                               *
 * 켱, ius_mailer.cfg   Ͽ ʿ *
 * о帲 ι°,   ܼ  ŭ*
 *  ߼.   ؼ query, cnt_query   *
 *   ּҰ ̻ϰ ´ ׸ ҽϴ.*
 *  : ius_mailer.cfg   ius_mailer 
 *                                                      *
 * ius_mailer : Need to qmail(MTA), MySQL(DBMS)         *
 *  : pthread ؼ ٷ  MySQL DB   *
 *         ּҸ о鿩 ڿ ߼Ѵ.   *
 *                                                      *
 *  : ./ius_mailer "query" From Subject test.tpl  *
 *      : ̾(I.us) http://venture.incheon.ac.kr *
 * ۼ :                                       *
 * ۼ : 2002.2.17                                   *
 * ȣ : 0.2.2                                     *
********************************************************/ 

#include "ius_mailer.h"

/* MySQL   */

int main(int argc, char *argv[]){

	int res, res_j, threads, rpt, i;

	FILE *fpid;
	char *query_buf;

 	/*  Thread   */
	pthread_t *a_thread;
	void *thread_result;
	pthread_mutex_t s_lock;
	BUF *Ius;

	time_t clock1;
	time_t clock2;

	(void)time(&clock1);

	fpid = fopen("./ius_mailer.pid", "w");
	fprintf(fpid, "%d", getpid());
	fclose(fpid);


	config_main();//  о 
	rpt = data_count(config->cnt_query);
	//query   Ҵ
	query_buf = (char *)memset((char *)malloc(1024), 0x00, 1024);

	for(i=0; i < rpt; i++)
	{
		sprintf(query_buf, "%s limit %d, %d", config->query, i*config->cnt, config->cnt);

		hash_init();

		/* DB Data  ͼ Hash Table   */
		//data_fetch(config->query);
		data_fetch(query_buf);

		/* lock  ʱȭ Ѵ. */
		pthread_mutex_init(&s_lock, NULL);
			
		a_thread = (pthread_t *)calloc(20, sizeof(pthread_t));
		Ius = (BUF *)calloc(20, sizeof(BUF)); 
		
		// pthread 
		for(threads=0; threads <20; threads++){
			/* ʱȭ */
			Ius[threads].start = threads*500;
			if(threads==19)
				Ius[threads].end = 10006;
			else 
				Ius[threads].end = threads*500 + 499;
			Ius[threads].b_lock = &s_lock;

			res = pthread_create(&(a_thread[threads]), NULL, mail_send, &Ius[threads]);

			usleep(1000);
			if(res!=0){
				perror("Thread creation failed");
				exit(0);
			}
		}

		// pthread ħ
		for(threads = 19; threads >= 0; threads--){
			res_j = pthread_join(a_thread[threads], &thread_result);

			if(res_j == 0){
				printf("Picked up a thread\n");
			} else{
				perror("pthread_join failed");
			}
		}
		del_htabs();
		memset(query_buf, 0x00, 1024);
		//sleep(10);
	}

	unlink("./ius_mailer.pid");
	printf("All done\n");
	free(query_buf);

	(void)time(&clock2);
	fpid = fopen("./times.ts", "w");
	fprintf(fpid, "clock2 - clock1 = %ld\n", (long)clock2 - (long)clock1);
	fclose(fpid);
	exit(0);

}// Main Finished

void *mail_send (void *arg) {

	int i, fd;//, j=0;
	BUF Ius = *(BUF *)arg;
	ENODEPTR	curptr;
	struct stat statbuf;
	char *body=0;

	//if((curptr = malloc(sizeof(struct enode)))==NULL)
	if((curptr = malloc(sizeof(ENODEPTR)))==NULL)
		fprintf(stderr, "Ҵ ");

	if(stat(config->file, &statbuf) < 0){
		perror(config->file);
		exit(1);
	}

	if(statbuf.st_size > 64*1024)
	{
		printf("%s", " ũⰡ ʹ Ůϴ. 64K  ϸ մϴ.\n");
		exit(1);
	}
	/* Body */
	fd = open(config->file, O_RDONLY);

	body = memset((char *)malloc(statbuf.st_size), 0x00, statbuf.st_size );

	//  ũ⸸ŭ ѹ о δ.
	read(fd, body, statbuf.st_size);

	for(i=Ius.start; i <= Ius.end; i++)
	{
		if(ems_htab[i]==NULL) //  ̶, ٷ  
			continue;
		curptr = ems_htab[i];

		while((curptr)!=NULL){

			/*    */
			pthread_mutex_lock(Ius.b_lock);
			header_body_put(curptr, body);
			pthread_mutex_unlock(Ius.b_lock);

			/*  ͷ ̵ */
			curptr = curptr->next;
		}
	}
	free((ENODEPTR)curptr);
	/* free stop */
	pthread_exit(NULL);
}

void header_body_put(ENODEPTR curptr, char *body)
{
#ifdef DEBUG
	//printf("From:%s\r\n", curptr->from);
	printf("To:%s\r\n", curptr->to);
//	printf("Subject:%s\r\n",config->subject);
//	printf("MIME-Version:1.0\r\nContent-Type:text/html; charset=euc-kr\r\nContent-Transfer-Encoding:8bit\r\n");
//	printf("%s",body);
#else
	FILE *fp;

	fp = popen("/var/qmail/bin/qmail-inject", "w");

	fprintf(fp, "From:%s\n", config->from);
	fprintf(fp, "To:%s\n", curptr->to);
	//fprintf(fp, "To:powflash@zlinux.org\n");
	fprintf(fp, "Subject:%s\n",config->subject);
	fprintf(fp, "MIME-Version:1.0\nContent-Type:text/html; charset=euc-kr\nContent-Transfer-Encoding:8bit\n\n");
	fprintf(fp, "%s",body);
	fflush(fp);

	pclose(fp);
#endif
}
